## org.hibernate.event.spi
Class PostDeleteEvent

    java.lang.Object
      org.hibernate.event.spi.AbstractEvent
          org.hibernate.event.spi.PostDeleteEvent

All Implemented Interfaces:
  Serializable

    public class PostDeleteEvent

extends AbstractEvent

Occurs after deleting an item from the datastore

See Also:
  Serialized Form

Constructor Summary
`PostDeleteEvent(Object entity, Serializable id, Object[] deletedState, EntityPersister persister, EventSource source)`

Method Summary
`Object[]` `getDeletedState()`
`Object` `getEntity()`
`Serializable` `getId()`
`EntityPersister` `getPersister()`

Methods inherited from class org.hibernate.event.spi.AbstractEvent
`getSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostDeleteEvent

    public PostDeleteEvent(Object entity,
                           Serializable id,
                           Object[] deletedState,
                           EntityPersister persister,
                           EventSource source)

Method Detail

### getId

    public Serializable getId()

### getPersister

    public EntityPersister getPersister()

### getEntity

    public Object getEntity()

### getDeletedState

    public Object[] getDeletedState()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.